#!/bin/bash
TMP_ZETTELKASTEN=""

setup() {
    source ../zk

    TMP_ZETTELKASTEN="$(mktemp -d)"
}

teardown() {
    rm -rf "$TMP_ZETTELKASTEN"
}

test__zk_new_creates_file_in_correct_directory() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    filename="aaaaaaaaaaaaaa"
    fake date "echo $filename"

    _zk_new

    assert "test -e $TMP_ZETTELKASTEN/$filename"
}
